package com.ynet.life.sujrb.action;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.log.GENELog;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.platform.action.YQSendMsgUtils;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/YQGetMsgStateAction.class */
public class YQGetMsgStateAction extends LifeAction {
    private static final String ERROR_CODE = "ERSMS0002";
    private static final String CCC_COMPONENT = "【【获取短信状态报告（短消息平台）】】";
    private static final String UPDATE_MSG_STATE_SQL = "UPDATE fsp_sms_flow_info SET SPI_REPORTSTATUS = ? WHERE SPI_MSGID = ? AND SPI_MOBILES = ? AND SPI_REPORTSTATUS IS NULL ";
    private static final String QUERY_REPORT_COUNT_SQL = "SELECT COUNT(1) FROM fsp_sms_flow_info WHERE SPI_MSGID IS NOT NULL AND SPI_MSGID !=''";

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v2, types: [java.sql.Connection] */
    /* JADX WARN: Type inference failed for: r0v6, types: [java.sql.SQLException] */
    /* JADX WARN: Type inference failed for: r0v9, types: [java.sql.Connection] */
    public String execute(Context context) throws GENEException {
        GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "开始");
        YQSendMsgUtils utils = new YQSendMsgUtils();
        ?? connection = LifeDBAccess.getConnection();
        try {
            try {
                PreparedStatement ps = connection.prepareStatement(UPDATE_MSG_STATE_SQL);
                String msgState = utils.getMsgState((String) null);
                JSONObject returnJo = JSONObject.parseObject(msgState);
                if (returnJo.containsKey("ReturnStatus") && returnJo.getString("ReturnStatus").equals("Success")) {
                    String tasks = returnJo.getString("Task");
                    if (tasks != null && !tasks.equals("") && !tasks.equals("[]")) {
                        JSONArray jsonArray = JSONArray.parseArray(tasks);
                        if (jsonArray.size() > 0) {
                            new JSONObject();
                            for (int i = 0; i < jsonArray.size(); i++) {
                                JSONObject jo = jsonArray.getJSONObject(i);
                                ps.setString(1, utils.getJSONObjectValue(jo, "Status"));
                                ps.setString(2, utils.getJSONObjectValue(jo, "TaskID"));
                                ps.setString(3, utils.getJSONObjectValue(jo, "Mobile"));
                                ps.addBatch();
                            }
                            ps.executeBatch();
                            connection.commit();
                        }
                    }
                } else {
                    GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "获取短信状态报告失败：".concat(String.valueOf(msgState)));
                }
                GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "结束");
                return "0";
            } catch (Exception e) {
                try {
                    connection = connection;
                    connection.rollback();
                } catch (SQLException e2) {
                    connection.printStackTrace();
                }
                GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "获取短信状态报告失败：".concat(String.valueOf(e)));
                throw new GENEException(ERROR_CODE, "获取失败");
            }
        } finally {
            if (connection != 0) {
                LifeDBAccess.releaseConnection((Connection) connection);
            }
        }
    }
}
